Name:           python-aio-scrapy
Version:        2.1.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A high-level Web Crawling and Web Scraping framework based on Asyncio

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/conlin-huang/aio-scrapy.git
Source:         %{pypi_source aio_scrapy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aio-scrapy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aio-scrapy
Summary:        %{summary}

%description -n python3-aio-scrapy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-aio-scrapy aio-pika,aiomysql,all,curl-cffi,execl,httpx,mongo,pg,playwright,pyhttpx,requests


%prep
%autosetup -p1 -n aio_scrapy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x aio-pika,aiomysql,all,curl-cffi,execl,httpx,mongo,pg,playwright,pyhttpx,requests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-aio-scrapy -f %{pyproject_files}


%changelog
%autochangelog